Update a space by its ID
curl --request PATCH \
--url https://api.mn.co/admin/v1/networks/{network_id}/spaces/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Space Name",
"collection_id": 123
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/spaces/{id}"
payload = {
"name": "Updated Space Name",
"collection_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Space Name', collection_id: 123})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/spaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234",
"created_at": "2026-08-13T00:16:13+00:00",
"updated_at": "2026-08-13T00:16:13+00:00",
"name": "<string>",
"collection_id": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Spaces
Update a space by its ID
PATCH
/
admin
/
v1
/
networks
/
{network_id}
/
spaces
/
{id}
Update a space by its ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the space to update
The Network's unique integer ID, or subdomain Unique numeric network ID
Body
application/json
Submit results as JSON
Response
Space successfully updated
The record's integer ID
Example:
"1234"
The date and time the record was created
Example:
"2026-08-13T00:16:13+00:00"
The date and time the record was last modified
Example:
"2026-08-13T00:16:13+00:00"
The Space's name
The ID of the collection this space belongs to
⌘I